
#include <Servo.h> 
 
Servo servoL;
Servo servoR;  
float offsetL = 0;
float offsetR = 0;
float sat_pos = 120;
float sat_neg = 60;

int val = 0;       // variable to store the data from the serial port

float pos = 90;

float velL = 0;
float velR = 0;

void setup() {
  Serial.begin(9600);        // connect to the serial port
  
  servoL.attach(6);
  servoR.attach(7);
}

void loop () {
  
  float m = 90 - sat_neg;
  
  float posL = -m*(velL+offsetL) + 90;
  float posR = m*(velR+offsetR) + 90;
  
  servoL.write(posL);  
  servoR.write(posR);
  
/*  Serial.print("VelL: ");
  Serial.println(velL);
  Serial.print("VelR: ");
  Serial.println(velR);*/
 
 if (Serial.available() > 0) {
   val = Serial.read();      // read the serial port
     switch (val) {
      case 'w':
       velL += 0.2;
       if (velL>1) velL = 1;
       velR += 0.2;
       if (velR>1) velR = 1;
      break;
      
      case 's':
       velL -= 0.2;
       if (velL<-1) velL = -1;
       velR -= 0.2;
       if (velR<-1) velR = -1;
      break;
      
      case 'a':
       velL -= 0.2;
       if (velL<-1) velL = -1;
        velR += 0.2;
       if (velR>1) velR = 1;
      break;
      
      case 'd':
       velR -= 0.2;
       if (velR<-1) velR = -1;
        velL += 0.2;
       if (velL>1) velL = 1;
      break;
      
      case 'c':
       velL = 0;
       velR = 0;
      break;
      
      case 'x':
       velL = 1;
       velR = 1;
      break;
      
      case 'v':
       velL = -1;
       velR = -1;
      break;
     }
 
 }
  
}
